---
title: List
url: https://www.tines.com/docs/api/records/record_views/list/
updated: 2025-12-02T14:25:02+00:00
description: "A \"record view\" is a saved view within a record type that includes specified filters, charts, and table layout settings. Retrieve a paginated list of record views."
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Records](https://www.tines.com/llm/docs/api/records.md) › [Record Views](https://www.tines.com/llm/docs/api/records/record_views.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/records/record_views/list/)*

## Description

A "record view" is a saved view within a record type that includes specified filters, charts, and table layout settings. Retrieve a paginated list of record views.

## Request

HTTP Method: **GET**

| Query Parameter | Description                                                                                                                                 |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| team_id         | **Optional** Only return record views belonging to this team.                                                                               |
| record_type_id  | **Optional** Only return record views for this record type.                                                                                 |
| order           | **Optional** Order the results by one of: `NAME`, `RECENTLY_CREATED`, `RECENTLY_UPDATED`. Defaults to `NAME` when not specified or invalid. |
| per_page        | **Optional** Set the number of results returned per page. Defaults to 20, maximum is 500.                                                   |
| page            | **Optional** The page number of results to fetch. Defaults to page 1.                                                                       |

```bash
curl -X GET \
  "https://<tenant-domain>/api/v1/record_views?team_id=1&record_type_id=3&order=RECENTLY_UPDATED" \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object containing the record views the requesting token has access to.

### Field description

| Parameter        | Description                                                                     |
| ---------------- | ------------------------------------------------------------------------------- |
| record_views     | Array of objects each representing a record view.                               |
| id               | Integer ID of the record view.                                                  |
| name             | Name of the record view.                                                        |
| team             | Object describing the team this record view belongs to.                         |
| team.id          | Integer ID of the team.                                                         |
| team.name        | Name of the team.                                                               |
| record_type      | Object describing the record type used by this record view.                     |
| record_type.id   | Integer ID of the record type.                                                  |
| record_type.name | Name of the record type.                                                        |
| created_at       | ISO 8601 timestamp representing when the record view was created.               |
| updated_at       | ISO 8601 timestamp representing when the record view was last updated.          |
| report_view      | The default view for the record view: `record_table`, `split_view`, or `chart`. |

### Sample response

<!-- cspell:disable -->

```json
{
  "record_views": [
    {
      "id": 1,
      "name": "Open cases by priority",
      "team": {
        "id": 14,
        "name": "Security Operations"
      },
      "record_type": {
        "id": 3,
        "name": "Cases"
      },
      "created_at": "2025-02-10T12:30:45Z",
      "updated_at": "2025-02-12T09:15:22Z",
      "report_view": "record_table"
    },
    {
      "id": 2,
      "name": "Incidents by source",
      "team": {
        "id": 14,
        "name": "Security Operations"
      },
      "record_type": {
        "id": 3,
        "name": "Cases"
      },
      "created_at": "2025-02-11T08:05:10Z",
      "updated_at": "2025-02-13T16:42:01Z",
      "report_view": "chart"
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/record_views?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 2
  }
}
```

<!-- cspell:enable -->
